<?php

namespace App\Http\Controllers;

use App\Models\Reservation;
use Illuminate\Http\Request;
use App\Models\Tool;
use App\Models\User;
use App\Models\Pack;

class RentController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $reservations = Reservation::where('user_id', auth()->id())->get();
        $tools = Tool::all();

        return view('rent.index', ['reservations' => $reservations, 'tools' => $tools]);
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
{

    $request->validate([
        'start_date' => 'required|date|after_or_equal:today',
        'end_date' => 'required|date|after:start_date',
        'quantity' => 'required|integer|min:1',
    ]);


    $data = $request->all();
    $quantity= $data['quantity'];
    if(isset($data['pack_id'])){
        $pack= Pack::find($data['pack_id']);
        $pack->quantity = $pack->quantity - $quantity;
        $pack->save();}
        elseif(isset($data['tool_id'])) {
            $tool= Tool::find($data['tool_id']);
            $tool->quantity = $tool->quantity - $quantity;
            $tool->save();
        }
    
    

    $data['user_id'] = auth()->id();
    Reservation::create($data);
    // $reservation = new Reservation();
    // $reservation->fill($data);
    // $reservation->user_id = auth()->id();
    // $reservation->save();

    return redirect()->route('rents.index');
}

    /**
     * Display the specified resource.
     */
    public function show(Reservation $reservation)
    {
        
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(Reservation $reservation)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, Reservation $reservation)
    {

    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(Reservation $reservation)
    {
        $reservation->delete();
        return redirect()->route('rents');
    }
}
