<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\User;
use App\Imports\UsersImport;
use Maatwebsite\Excel\Facades\Excel;
use App\Models\Reservation;

class UsersController extends Controller
{

    public function index()
    {

        $users = User::orderBy('lastname')->get();

        return view('index2', compact('users'));
    }

    public function import(Request $request)
    {
        $request->validate([
            'import_file' => [
                'required',
                'file',
                'mimes:xlsx,xls',
            ]
        ]);

        Excel::import(new UsersImport, $request->file('import_file'));

        return redirect()->back()->with('statut', 'Importation réussie !');
    }

    public function reservations()
{
    return $this->hasMany(Reservation::class);
}
}
