<?php

namespace App\Imports;

use App\Models\User;
use Maatwebsite\Excel\Concerns\WithHeadingRow;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Collection;
use Maatwebsite\Excel\Concerns\ToCollection;

class UsersImport implements ToCollection, WithHeadingRow
{
    /**
     * @param array $row
     *
     * @return User|null
     */
    public function collection(Collection $rows)
    {
        foreach ($rows as $row) 
        {
            User::create([
                'name'     => $row['nom'] . ' ' . $row['prenom'],
                'email'    => $row['email'], 
                'password' => Hash::make(random_bytes(10)),
                'level'=> $row['role'],
                'group'=> $row['group'],
                'firstname'=> $row['prenom'],
                'lastname'=> $row['nom'],
            ]);
        }
    }
}
