<?php

namespace App\Policies;

use App\Models\Pack;
use App\Models\User;
use Illuminate\Auth\Access\Response;

class PackPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return true;
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, Pack $pack): bool
    {
        return true;
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->level === 'admin';
    }

    public function edit(User $user, Pack $pack): bool
    {
        return $user->level === 'admin';
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, Pack $pack): bool
    {
        return $user->level === 'admin';
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, Pack $pack): bool
    {
        return $user->level === 'admin';
    }
}
