@if (auth()->check())
    <x-app-layout>
        <h1>Liste du matos dispo</h1>

        @can('create', 'App\Models\Tool')
            <a href="{{ route('admin.tools.create') }}">Ajouter un outil</a>
        @endcan
        @can('create', 'App\Models\Pack')
            <a href="{{ route('admin.packs.create') }}">Ajouter un pack</a>
        @endcan
        {{-- Div that put every div with the id art in flex wrap --}}
        <div class="flex flex-wrap justify-center gap-8">
            @foreach ($tools as $tool)
                <div id="art" class="p-8 my-2 bg-white border-black rounded-xl w-96 shadow-black">
                    <p>{{ $tool->name }}</p>
                    <p>{{ $tool->description }}</p>
                    <p>{{ $tool->image }}</p>
                    <p>{{ $tool->tags }}</p>
                    <p>{{ $tool->quantity }}</p>
                    <a href="{{ route('tools.show', $tool->id) }}">Voir l'outil</a>
                </div>
            @endforeach
        </div>
        @php
            $dispo = true;
        @endphp
        @foreach ($packs as $pack)
            <div class="my-2 bg-white shadow-black">
                <p>{{ $pack->name }}</p>
                <p>{{ $pack->quantity }}</p>
                @if ($pack->tools)
                    @foreach ($pack->tools as $tool)
                        @if ($tool->quantity === 0)
                            @php
                                $dispo = false;
                            @endphp
                        @endif
                        <p class="text-red-500">{{ $tool->name }}</p>
                    @endforeach
                @endif
                @if ($dispo)
                    {{-- Affiche btn --}}
                    <a href="{{ route('packs.show', $pack->id) }}">Voir le pack</a>
                @else
                    {{-- Pas dispo --}}
                    <a href="{{ route('packs.show', $pack->id) }}">Pack indisponible</a>
                @endif
            </div>
        @endforeach
    </x-app-layout>
@else
    <x-guest-layout>
        <div class="flex flex-col text-center">
            <h1>Veuillez-vous connecter</h1>
            <button>
                <a href="{{ route('login') }}">Se connecter</a>
            </button>
        </div>

    </x-guest-layout>
@endif
