<?php
use App\Livewire\Actions\Logout;
use Illuminate\Support\Facades\Auth;
use Livewire\Volt\Component;
use App\Models\Reservation;
use App\Models\Tool;
use App\Models\User;
use App\Models\Pack;

new class extends Component {
    public $reservations;

    public function mount()
    {
        $this->reservations = Reservation::all();
    }
}; ?>

<section class="space-y-6">
    <header>
        <h2 class="text-lg font-semibold text-gray-900">Historique</h2>
        <p class="mt-1 text-sm text-gray-600">Historique des réservations</p>
        @foreach ($reservations as $res)
            <div class="flex justify-between"></div>
            <div class="flex">
                <div class="ml-4">
                    <div class="text-sm font-medium text-gray-900">
                        <dt>Nom</dt>
                        @if ($res->pack_id)
                            <dd>{{ $res->pack->name }}</dd>
                        @elseif($res->tool_id)
                            <dd>{{ $res->tool->name }}</dd>
                        @endif
                    </div>
                </div>
            </div>
            <div class="flex items-center">
                <div class="text-sm text-gray-500">
                    <p>Date de début : {{ $res->start_date }}</p>
                    <p>Date de fin : {{ $res->end_date }}</p>
                </div>
            </div>
        @endforeach
    </header>
</section>
