<x-app-layout>
    @if ($reservations->isEmpty())
        <p>Vous n'avez rien réservé.</p>

        <h2>Aucune réservation en cours</h2>
    @else
        @foreach ($reservations as $reservation)
            <dl class="my-2">
                <dt>Nom</dt>
                @if ($reservation->pack_id)
                    <dd>{{ $reservation->pack->name }}</dd>
                @elseif($reservation->tool_id)
                    <dd>{{ $reservation->tool->name }}</dd>
                @endif
                <dt>Date de début</dt>
                <dd>{{ $reservation->start_date }}</dd>
                <dt>Date de fin</dt>
                <dd>{{ $reservation->end_date }}</dd>
                <dt>Quantité</dt>
                <dd>{{ $reservation->quantity }}</dd>
            </dl>
        @endforeach

        @if (Auth::check() && Auth::user()->level == 'admin')
            <h2>Réservations en cours</h2>
            @foreach ($reservations as $reservation)
                {{-- Show reservation attached to user with the tools and quantity --}}
                <dl class="my-2">
                    <dt>Utilisateur</dt>
                    <dd>{{ $reservation->user->name }}</dd>
                    <dt>Nom</dt>
                    @if ($reservation->pack_id)
                        <dd>{{ $reservation->pack->name }}</dd>
                    @elseif($reservation->tool_id)
                        <dd>{{ $reservation->tool->name }}</dd>
                    @endif
                    <dt>Date de début</dt>
                    <dd>{{ $reservation->start_date }}</dd>
                    <dt>Date de fin</dt>
                    <dd>{{ $reservation->end_date }}</dd>
                    <dt>Quantité</dt>
                    <dd>{{ $reservation->quantity }}</dd>
                </dl>
            @endforeach
            @can('edit', $reservation)
                <a href="{{ route('admin.rents.edit', $reservation->id) }}">Modifier</a>
            @endcan
            @can('delete', $reservation)
                <form method="POST" action="{{ route('admin.rents.destroy', $reservation->id) }}">
                    @csrf
                    @method('DELETE')

                    <button type="submit">Supprimer</button>
                </form>
            @endcan
        @endif
    @endif


</x-app-layout>
