@if (auth()->check())
    <x-app-layout>
        <h1>Test</h1>
        <dl class="my-2">
            <dt>Nom</dt>
            <dd>{{ $tool->name }}</dd>
            <dt>Description</dt>
            <dd>{{ $tool->description }}</dd>
            <dt>Image</dt>
            <dd>{{ $tool->image }}</dd>
            <dt>Tags</dt>
            <dd>{{ $tool->tags }}</dd>
            <dt>Quantité</dt>
            <dd>{{ $tool->quantity }}</dd>
        </dl>

        <div class="buttons">
            <a href="#" id="reserve-link">Réserver le matériel</a>

            <form id="reservation-form" style="display: none;" method="POST" action="{{ route('rents.store') }}">
                @csrf
                @method('POST')

                <input type="hidden" name="tool_id" value="{{ $tool->id }}">

                <label for="start_date">Date de début :</label>
                <input type="date" id="start_date" name="start_date">

                <label for="end_date">Date de fin :</label>
                <input type="date" id="end_date" name="end_date">

                <label for="quantity">Quantité :</label>
                <input type="number" id="quantity" name="quantity" value="1">

                <button type="submit">Confirmer</button>
            </form>
            <a href="{{ route('home') }}">Retour</a>
        </div>

        @can('edit', $tool)
            <a href="{{ route('admin.tools.edit', $tool->id) }}">Modifier</a>
        @endcan
        @can('delete', $tool)
            <form method="POST" action="{{ route('admin.tools.destroy', $tool->id) }}">
                @csrf
                @method('DELETE')

                <button type="submit">Supprimer</button>
            </form>
        @endcan

    </x-app-layout>
@else
    <x-guest-layout>
        <h1>Veuillez-vous connecter</h1>
        <button class="text-center">
            <a href="{{ route('login') }}">Se connecter</a>
        </button>
        <button class="text-center">
            <a href="{{ route('register') }}">S'inscrire</a>
        </button>
    </x-guest-layout>
@endif

<script>
    document.getElementById('reserve-link').addEventListener('click', function(event) {
        event.preventDefault();

        document.getElementById('reservation-form').style.display = 'block';
    });
</script>
