<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\admin\ToolsController as AdminToolController;
use App\Http\Controllers\admin\PackController as AdminPackController;
use App\Http\Controllers\admin\RentController as AdminRentController;
use App\Http\Controllers\ToolsController;
use App\Http\Controllers\RentController;
use App\Http\Controllers\PackController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', function () {
    return redirect()->route('home');
});
Route::get('home', [ToolsController::class, 'index'])->name('home');

Route::get('/test', function () {
    return view('index');
});

Route::view('dashboard', 'dashboard')
    ->middleware(['auth', 'verified'])
    ->name('dashboard');

Route::view('profile', 'profile')
    ->middleware(['auth'])
    ->name('profile');

require __DIR__ . '/auth.php';

Route::get('/import', [App\Http\Controllers\UsersController::class, 'index']);
Route::post('/import', [App\Http\Controllers\UsersController::class, 'import'])->name('import');

Route::group(['prefix' => '/admin', 'as' => 'admin.', 'middleware' => ['auth']], function () {
    Route::resource('/tools', AdminToolController::class);
    Route::resource('/packs', AdminPackController::class);
    Route::resource('/rents', AdminRentController::class);
});

Route::get('/tools', [ToolsController::class, 'index'])->name('tools');
Route::get('/tools/{tool}', [ToolsController::class, 'show'])->name('tools.show');

Route::get('/rents', [App\Http\Controllers\RentController::class, 'index'])->name('rents.index');
Route::post('/rents/store', [App\Http\Controllers\RentController::class, 'store'])->name('rents.store');
// Route::post('/rents', [App\Http\Controllers\RentController::class, 'store'])->name('rents.store');

Route::get('/packs', [App\Http\Controllers\PackController::class, 'index'])->name('packs.index');

Route::get('/packs/{pack}', [App\Http\Controllers\PackController::class, 'show'])->name('packs.show');
